listview_renderer_extra_objects.log_messages = [ function() {
	var existing = $('#filter-syslog-archive-query');
	if (existing.length) {
		return existing;
	}
	return $('<div id="filter-syslog-archive-query"/>').append(
			$('<h2/>').text(_('Run query on archive')),

			$('<form/>')
				.attr('action', _site_domain + _index_page + '/logger/generate')
				.attr('method', 'GET')
				.attr('id', 'syslog-schedule-archive-search')
				.append(
					$('<p/>').append(_('Query: '), $('<code class="syslog-archive-query"/>')),
					$('<label/>')
						.attr('for', 'syslog-archive-query-start-time')
						.append(helpicon('logger', 'start_time'))
						.append(_('Start time')),
					$('<br/>'),
					$('<input/>')
						.attr('type', 'text')
						.attr('name', 'start_time')
						.attr('id', 'syslog-archive-query-start-time')
						.attr('value', 'today 00:00'),
					$('<br/>'),
					$('<label/>')
						.attr('for', 'syslog-archive-query-end-time')
						.append(helpicon('logger', 'end_time'))
						.append(_('End time')),
					$('<br/>'),
					$('<input/>')
						.attr('type', 'text')
						.attr('name', 'end_time')
						.attr('id', 'syslog-archive-query-end-time')
						.attr('value', 'now'),
					$('<br/>'),
					$('<input/>')
						.attr('type', 'hidden')
						.attr('name', 'query')
						.attr('class', 'syslog-archive-query'),
					$('<input/>')
						.attr('type', 'submit')
						.attr('value', _('Search through archive'))
				)
	);
} ];
