CREATE OR REPLACE FUNCTION message_table_name( tbl_date INTEGER )
RETURNS CHAR(30) AS $$
DECLARE
the_hour CHAR(2);
BEGIN
	the_hour := (select extract(hour from (select TIMESTAMP 'epoch' at time zone 'UTC' + tbl_date * INTERVAL '1 second')::timestamp))::text;
	IF (the_hour::int < 10) THEN
		the_hour := '0'||the_hour::text;
	END IF;

	RETURN 'messages_utc_' || REPLACE(((select TIMESTAMP 'epoch' at time zone 'UTC' + tbl_date * INTERVAL '1 second')::DATE)::text, '-','_') || '_' || the_hour::text;
END;
$$
LANGUAGE plpgsql;

UPDATE service SET version = 31;
